# `return` expressions

> Syntax
> ReturnExpression :
> `return` Expression?

Return expressions are denoted with the keyword `return`. Evaluating a `return` expression moves its argument into the designated output location for the current function call, destroys the current function activation frame, and transfers control to the caller frame.

An example of a `return` expression:

    #![allow(unused_variables)]
    fn main() {
    fn max(a: i32, b: i32) -> i32 {
        if a > b {
            return a;
        }
        return b;
    }
    }